<table rows="25" cols="4">
    <align attach-x="0" attach-y="0"   align-x="1"><label param="bypass"  /></align>
    <align attach-x="1" attach-w="2" attach-y="0" expand-x="1" fill-x="1" pad-x="10" ><toggle param="bypass" /></align>

    <!-- -->

    <align attach-x="0" attach-y="1"   align-x="1"><label param="level_in"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="1" shrink-x="1" param="level_in"  />
    <value param="level_in"  attach-x="2" attach-y="1" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="2"   align-x="1"><label param="level_out"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="2" shrink-x="1" param="level_out"  />
    <value param="level_out"  attach-x="2" attach-y="2" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="3"   align-x="1"><label param="meter_inL"  /></align>
    <vumeter attach-x="1" attach-w="1" attach-y="3" expand-x="1" fill-x="1" param="meter_inL" />
    <value param="meter_inL"  attach-x="2" attach-y="3" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="4"   align-x="1"><label param="meter_inR"  /></align>
    <vumeter attach-x="1" attach-w="1" attach-y="4" expand-x="1" fill-x="1" param="meter_inR" />
    <value param="meter_inR"  attach-x="2" attach-y="4" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="5"   align-x="1"><label param="meter_outL"  /></align>
    <vumeter attach-x="1" attach-w="1" attach-y="5" expand-x="1" fill-x="1" param="meter_outL" />
    <value param="meter_outL"  attach-x="2" attach-y="5" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="6"   align-x="1"><label param="meter_outR"  /></align>
    <vumeter attach-x="1" attach-w="1" attach-y="6" expand-x="1" fill-x="1" param="meter_outR" />
    <value param="meter_outR"  attach-x="2" attach-y="6" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="7"   align-x="1"><label param="clip_inL"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="7" shrink-x="1" param="clip_inL"  />
    <value param="clip_inL"  attach-x="2" attach-y="7" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="8"   align-x="1"><label param="clip_inR"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="8" shrink-x="1" param="clip_inR"  />
    <value param="clip_inR"  attach-x="2" attach-y="8" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="9"   align-x="1"><label param="clip_outL"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="9" shrink-x="1" param="clip_outL"  />
    <value param="clip_outL"  attach-x="2" attach-y="9" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="10"   align-x="1"><label param="clip_outR"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="10" shrink-x="1" param="clip_outR"  />
    <value param="clip_outR"  attach-x="2" attach-y="10" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="11"   align-x="1"><label param="clip_level"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="11" shrink-x="1" param="clip_level"  />
    <value param="clip_level"  attach-x="2" attach-y="11" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="12"   align-x="1"><label param="diff_only"  /></align>
    <align attach-x="1" attach-w="2" attach-y="12" expand-x="1" fill-x="1" pad-x="10" ><toggle param="diff_only" /></align>

    <!-- -->

    <align attach-x="0" attach-y="13"   align-x="1"><label param="adaptive_distortion"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="13" shrink-x="1" param="adaptive_distortion"  />
    <value param="adaptive_distortion"  attach-x="2" attach-y="13" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="14"   align-x="1"><label param="iterations"  /></align>
    <knob attach-x="1" attach-w="1" attach-y="14" shrink-x="1" param="iterations"  />
    <value param="iterations"  attach-x="2" attach-y="14" pad-x="10" />

    <!-- -->

    <align attach-x="0" attach-y="15"   align-x="1"><label param="auto_level"  /></align>
    <align attach-x="1" attach-w="2" attach-y="15" expand-x="1" fill-x="1" pad-x="10" ><toggle param="auto_level" /></align>

    <!-- -->

    <align attach-x="0" attach-y="16"   align-x="1"><label param="protection125"  /></align>
     <hscale param="protection125"  attach-x="1" attach-w="2" attach-y="16"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="17"   align-x="1"><label param="protection250"  /></align>
     <hscale param="protection250"  attach-x="1" attach-w="2" attach-y="17"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="18"   align-x="1"><label param="protection500"  /></align>
     <hscale param="protection500"  attach-x="1" attach-w="2" attach-y="18"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="19"   align-x="1"><label param="protection1000"  /></align>
     <hscale param="protection1000"  attach-x="1" attach-w="2" attach-y="19"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="20"   align-x="1"><label param="protection2000"  /></align>
     <hscale param="protection2000"  attach-x="1" attach-w="2" attach-y="20"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="21"   align-x="1"><label param="protection4000"  /></align>
     <hscale param="protection4000"  attach-x="1" attach-w="2" attach-y="21"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="22"   align-x="1"><label param="protection8000"  /></align>
     <hscale param="protection8000"  attach-x="1" attach-w="2" attach-y="22"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="23"   align-x="1"><label param="protection16000"  /></align>
     <hscale param="protection16000"  attach-x="1" attach-w="2" attach-y="23"  pad-x="10"/>
    <!-- -->

    <align attach-x="0" attach-y="24"   align-x="1"><label param="margin_shift"  /></align>
    <vumeter attach-x="1" attach-w="1" attach-y="24" expand-x="1" fill-x="1" param="margin_shift" mode="2"/>
    <value param="margin_shift"  attach-x="2" attach-y="24" pad-x="10" />
    <if cond="directlink">
        <vbox expand-x="1" fill-x="1" attach-x="3" attach-y="0" attach-h="25">
            <line-graph refresh="1" width="160" param="adaptive_distortion"/>

            <line-graph refresh="1" width="160" param="margin_shift"/>

        </vbox>
    </if>
</table>

